# Uses of Enum
org.kapott.hbci.sepa.jaxb.camt_052_001_01.CreditDebitCode

Packages that use CreditDebitCode
Package
Description
org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Uses of CreditDebitCode in org.kapott.hbci.sepa.jaxb.camt_052_001_01

Fields in org.kapott.hbci.sepa.jaxb.camt_052_001_01 declared as CreditDebitCode
Modifier and Type
Field
Description
`protected CreditDebitCode`
CashBalance1.`cdtDbtInd`
`protected CreditDebitCode`
CashBalanceAvailability1.`cdtDbtInd`
`protected CreditDebitCode`
CurrencyAndAmountRange.`cdtDbtInd`
`protected CreditDebitCode`
NumberAndSumOfTransactions2.`cdtDbtInd`
`protected CreditDebitCode`
NumberAndSumOfTransactionsPerBankTransactionCode1.`cdtDbtInd`
`protected CreditDebitCode`
ReportEntry1.`cdtDbtInd`
`protected CreditDebitCode`
TransactionInterest1.`cdtDbtInd`
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_01 that return CreditDebitCode
Modifier and Type
Method
Description
`static CreditDebitCode`
CreditDebitCode.`fromValue(String v)`
`CreditDebitCode`
CashBalance1.`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`CreditDebitCode`
CashBalanceAvailability1.`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`CreditDebitCode`
CurrencyAndAmountRange.`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`CreditDebitCode`
NumberAndSumOfTransactions2.`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`CreditDebitCode`
NumberAndSumOfTransactionsPerBankTransactionCode1.`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`CreditDebitCode`
ReportEntry1.`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`CreditDebitCode`
TransactionInterest1.`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`static CreditDebitCode`
CreditDebitCode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CreditDebitCode[]`
CreditDebitCode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_01 with parameters of type CreditDebitCode
Modifier and Type
Method
Description
`void`
CashBalance1.`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
CashBalanceAvailability1.`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
CurrencyAndAmountRange.`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
NumberAndSumOfTransactions2.`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
NumberAndSumOfTransactionsPerBankTransactionCode1.`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
ReportEntry1.`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
TransactionInterest1.`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.